'' SEETRON BPP-440 Demo
'' -- translated from SEETRON BPP-440 demo (for BS2) by Jon Williams
'' -- baud is specified as positive; inverted output is handled by BPP-440 object


CON

  _clkmode  = xtal1 + pll16x                            ' use crystal x 16
  _xinfreq  = 5_000_000

  LCD_PIN   = 0
  LCD_BAUD  = 9600
  LCD_LINES = 4                                         ' for compatibility with Serial_Lcd object

  WEDGE     = 128
  

OBJ

  lcd : "bpp-440"
  num : "simple_numbers"


PUB main | idx

  waitcnt(clkfreq + cnt)                                ' pause one second for LCD initialization
  if lcd.start(LCD_PIN, LCD_BAUD, LCD_LINES)            ' ouput on A1 @ 9600 baud
    lcd.cls
    repeat idx from 0 to 159                            ' fill LCD with wedge character
      lcd.putc(WEDGE)
    waitcnt(clkfreq + cnt)                              ' wait one second
    
    lcd.gotoxy(10, 0)
    repeat idx from 1 to 21
      waitcnt(clkfreq / 10 + cnt)
      lcd.str(string(lcd#LCD_CLR_COL, lcd#LCD_BELL))

    lcd.str(string(lcd#LCD_CRSR_ULINE, lcd#LCD_CRSR_POS, 117, "4x40 SERIAL LCD"))
    waitcnt(clkfreq + cnt)
    
    repeat idx from 1 to 15
      waitcnt(clkfreq / 10 + cnt)
      lcd.str(string(lcd#LCD_BKSPC, lcd#LCD_BELL))
      
    lcd.cursor(0)                                       ' cursor off
    
    repeat idx from 0 to 199
      lcd.str(string(lcd#LCD_CRSR_POS, 77, lcd#LCD_BIG_ON))
      lcd.str(num.decx(idx, 3))
      waitcnt(clkfreq / 2 + cnt)
      
      